[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] tests: correct part of fiemap-perf
From: |
Jim Meyering |
Subject: |
[PATCH] tests: correct part of fiemap-perf |
Date: |
Wed, 02 Feb 2011 12:03:35 +0100 |
I noticed this while looking at the log of an unrelated test failure:
>From 4e9ab7d3d87c24ff0671fc7c3be8c0a0873009ab Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Wed, 2 Feb 2011 12:02:22 +0100
Subject: [PATCH] tests: correct part of fiemap-perf
* tests/cp/fiemap-perf: Correct erroneous added test.
Since nonexistent names were used, the final test ended up
being "test =", which would always "succeed".
---
tests/cp/fiemap-perf | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tests/cp/fiemap-perf b/tests/cp/fiemap-perf
index 6227243..7369a7d 100755
--- a/tests/cp/fiemap-perf
+++ b/tests/cp/fiemap-perf
@@ -31,6 +31,6 @@ timeout 10 cp f f2 || fail=1
# Ensure that the sparse file copied through fiemap has the same size
# in bytes as the original.
-test $(stat --printf %s sparse) = $(stat --printf %s fiemap) || fail=1
+test "$(stat --printf %s f)" = "$(stat --printf %s f2)" || fail=1
Exit $fail
--
1.7.3.5.44.g960a
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [PATCH] tests: correct part of fiemap-perf,
Jim Meyering <=